#
# spec file for package umtsmon (Version 0.9.51.20090126)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           umtsmon
BuildRequires:  libusb-devel qt3-devel
BuildRequires:  gcc-c++
Version:        0.9.72.20090509
Release:        1
BuildArch:	i686
%define DATE 20090509
Summary:        Control/monitor your UMTS card
License:        GPL v2 or later
Group:          Hardware/Mobile
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://sourceforge.net/projects/umtsmon/
AutoReqProv:    on
Source0:        %name-%version.tar.bz2
Requires:       ppp

#Suggests:       usb_modeswitch ozerocdoff


%description
A program to control your UMTS (and GPRS/EDGE) card: enter SIM PIN
code, send and receive SMS and control/monitor the network connection.



Authors:
--------
    Klaas van Gend
    and others

%prep
%setup0 -n umtsmon

%build
export QTDIR=/usr/lib/qt-3.3
# nothing sucks more than qmake!
PATH=/usr/lib/qt-3.3/bin:$PATH PREFIX=usr qmake DEFINES="APPFLAVOUR='\"-%{DATE}\"'"
# PATH is needed, otherwise Mandriva won't find 'lrelease'
PATH=/usr/lib/qt-3.3/bin:$PATH make 
#lrelease umtsmon.pro

%install
export QTDIR=/usr/lib/qt-3.3
make install INSTALL_ROOT=$RPM_BUILD_ROOT/
#mkdir -p $RPM_BUILD_ROOT/usr/bin
#cp umtsmon $RPM_BUILD_ROOT/usr/bin/
mkdir -p $RPM_BUILD_ROOT/usr/share/umtsmon/translations
cp i18n/*.qm $RPM_BUILD_ROOT/usr/share/umtsmon/translations
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
mv $RPM_BUILD_ROOT/usr/share/icons/hicolor/128x128/apps/umtsmon-128x128.png $RPM_BUILD_ROOT/usr/share/pixmaps

%files
%defattr(-, root, root)
/usr/bin/*
%doc README TODO AUTHORS COPYING
/usr/share/umtsmon
/usr/share/applications/*
/usr/share/pixmaps/*

%clean
rm -rf %{buildroot}

%changelog
* Mon Jul 05 2010 Christian Metzen <metzench@ccux-linux.de> - 0.9.72.20090509-1
- Initial CCux package release
